﻿<template>
  <div class="todo-list-container">
    <label v-for="n in tasks" :key="n.id">
      <task-form v-if="n.id % 2 === 1" class="task-model-list " :task="n" />

      <task-form
        v-if="n.id % 2 === 0"
        class="task-model-list-right"
        :task="n"
      />
    </label>

    <new-task-button class="create-task-button" />
  </div>
</template>

<script>
import TaskForm from "./TaskForm.vue";
import NewTaskButton from "./NewTaskButton.vue";

export default {
  name: "TaskList",
  components: {
    TaskForm,
    NewTaskButton
  },
  computed: {
    tasks() {
      return this.$store.getters["tasks/undoneTasks"];
    }
  }
};
</script>

<style lang="sass">
.todo-list-container
  position: relative

.create-task-button
  display: inline-block
  position: fixed
  bottom: 24px
  right: 20px

.task-model-list
  margin:
    left: 34px
    right: 34px
    bottom: 23px

.task-model-list-right
  margin:
    left: 186px
    right: 34px
    bottom: 23px
</style>
